Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593548 - Anaconda doesn't include --nobase in generated kickstart file when "Minimal" install is done
Summary: Anaconda doesn't include --nobase in generated kickstart file when "Minimal" ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Chris Lumens
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 06:01 UTC by Justin Clift
Modified: 2010-11-10 19:43 UTC (History)
2 users (show)

Fixed In Version: anaconda-13.21.51-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 19:43:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of manual minimal install - 228 packages (deleted)
2010-05-19 06:12 UTC, Justin Clift
no flags Details
Screenshot of kickstart install using Anaconda generated script - 376 packages (deleted)
2010-05-19 06:13 UTC, Justin Clift
no flags Details
Screenshot of kickstart install using fixed Anaconda generated script - 228 packages (deleted)
2010-05-19 06:14 UTC, Justin Clift
no flags Details

Description Justin Clift 2010-05-19 06:01:38 UTC
Description of problem:

After installing RHEL 6 (beta) x86_64 using the "Minimal" installation (228 packages), the kickstart file generated by Anaconda has these entries near the end to specify the packages for installation:

  %packages
  @core
  %end

This is incorrect, missing the "--nobase" parameter to the "%packages" line.  When this generated kick start file is used for subsequent installations they won't be performed with a "Minimal" install.


Version-Release number of selected component (if applicable):

$ yum list | grep -i anaconda
anaconda.x86_64                       13.21.20.5-1.el6            rhel-beta-dvd 
anaconda-yum-plugins.noarch           1:1.0-5.1.el6               rhel-beta-dvd 
$


How reproducible:

Every time.


Steps to Reproduce:
1. Perform an installation of RHEL 6 (beta) x86_64, selecting the "Minimal" installation option.  Note that the installation process shows 228 packages being installed.

2. Extract the generated kickstart file from /root/anaconda-ks.cfg in the newly installed system.

3. Use this kickstart file to perform another RHEL 6 (beta) x86_64 installation.  Note that the installation process now shows 376 packages being installed.

  
Actual results:

The Anaconda generated kick start file contains:

  %packages
  @core
  %end


Expected results:

The Anaconda generated kick start should contain:

  %packages --nobase
  @core
  %end


Additional info:

Verifying the # of packages installed on the manual Minimal install:

  $ rpm -qa | wc -l
  228
  $

Verifying the # of packages installed using the generated kickstart script:

  $ rpm -qa | wc -l
  376
  $

Verifying the # of packages installed using the fixed kickstart script (--nobase added):

  $ rpm -qa | wc -l
  228
  $

Comment 1 Justin Clift 2010-05-19 06:12:54 UTC
Created attachment 415022 [details]
Screenshot of manual minimal install - 228 packages

Comment 2 Justin Clift 2010-05-19 06:13:55 UTC
Created attachment 415024 [details]
Screenshot of kickstart install using Anaconda generated script - 376 packages

Comment 3 Justin Clift 2010-05-19 06:14:47 UTC
Created attachment 415026 [details]
Screenshot of kickstart install using fixed Anaconda generated script - 228 packages

Comment 5 RHEL Product and Program Management 2010-06-07 16:14:48 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 7 Alexander Todorov 2010-07-02 13:18:19 UTC
With anaconda-13.21.56-1 after Minimal install the resulting anaconda-ks.cfg is:

%packages --nobase
@core
%end

Moving to VERIFIED.

Comment 8 releng-rhel@redhat.com 2010-11-10 19:43:47 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.